#minions#

My favorite tiny Perl scripts for development and testing.


##htlog.cgi##

Collects GET requests with parameters *msg*, *tag* and *i* and logs them into 
single text file.

*   *msg* is actual message body. It can be used to contain parseable data 
    like `name=john;age=32;state=il`
*   *tag* can be used to identify related messages like those from one test
*   use *i* if you tend to write tags like `test01-002` and `test01-002` to 
    store the iteration number, you'll be better off with this parameter as 
    it won't break your ability to use tags


##htlogger.pm##

API to make usage of *htlog.cgi* in Perl scripts even easier


##autotest.pl##

Script to make it easier to start developing your new Perl module under 
pressure of unit tests written in [Test::More][1] and the likes.

  [1]: (http://perldoc.perl.org/Test/More.html)

Suggested use is to sit on the other monitor, run all *.t* files around 
and around and be annoying about the fact that they fail.  Then the rule 
of thumb goes without saying: "no green, no commit".


##timestamp.pl##

Script to measure how long mone second takes.  For those that know how long 
one second takes, it can serve as a snippet for Perl `&stamp()`.



##helper.pm##

Container module for some utility methods for Perl.  Probably only `dmup()` 
is interesting&mdash;it bears a nice quick and dirty way for dumping Perl 
data.
